Update the rolling release settings for the project
PATCH
https://api.vercel.com/v1/projects/{idOrName}/rolling-release/configUpdate (or disable) Rolling Releases for a project. When disabling with the resolve-on-disable feature flag enabled, any active rolling release document is resolved using the disableRolloutAction parameter: "abort" to roll back (default), or "complete" to promote the canary to production. When enabling or updating config, changes only affect the next production deployment and do not alter a rollout that's already in-flight. Note: Enabling Rolling Releases automatically enables skew protection on the project with the default value if it wasn't configured already.
https://api.vercel.com/v1/projects/{idOrName}/rolling-release/config
const response = await fetch('https://api.vercel.com/v1/projects/idOrName/rolling-release/config?teamId=string&slug=string', { method: 'PATCH', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "rollingRelease": "value"}AuthorizationbearerToken
Default authentication mechanism